﻿using System;

namespace Acme.Licensing
{
    public class LicenseInfo
    {
        public string ProductName;
        public Guid LicenseId;
        public string LicenseeName;
        public string LicenseeContact;
        public string IssueDate;
        public string ExpiryDate;
        public int MaxCores;
        public bool IsTrial;
        public DateTime GetExpiryDate()
        {
            try
            {
                return DateTime.ParseExact(ExpiryDate, LicenseManagerBase.DateFormatString, null, System.Globalization.DateTimeStyles.AssumeUniversal);
            }
            catch (Exception)
            {
                return DateTime.MinValue;
            }
        }

        public override string ToString()
        {
            return String.Format("ProductName {0}, LicenseId {1}, LicenseeName {2}, LicenseeContact {3}, IssueDate {4}, ExpiryDate {5}, LiveDataPoints {6}, HistoricalDataPoints {7}, Alarms {8}, WebClients {9},  AlarmNotification {10}, IsTrial {11}",
                ProductName,
                LicenseId,
                LicenseeName,
                LicenseeContact,
                IssueDate,
                ExpiryDate,
                MaxCores,
                IsTrial);
        }
    }
}
